@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-Black.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-Black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-Bold.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-BlackItalic.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-BlackItalic.woff') format('woff');
    font-weight: 900;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-BoldItalic.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-BoldItalic.woff') format('woff');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Lato Hairline';
    src: url('/assets/fonts/lato/Lato-Hairline.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-Hairline.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato Hairline';
    src: url('/assets/fonts/lato/Lato-HairlineItalic.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-HairlineItalic.woff') format('woff');
    font-weight: 300;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-HeavyItalic.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-HeavyItalic.woff') format('woff');
    font-weight: 900;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-Heavy.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-Heavy.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-Italic.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-Italic.woff') format('woff');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-Light.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-LightItalic.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-LightItalic.woff') format('woff');
    font-weight: 300;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-MediumItalic.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-MediumItalic.woff') format('woff');
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-Medium.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-Regular.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-Semibold.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-Semibold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-SemiboldItalic.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-SemiboldItalic.woff') format('woff');
    font-weight: 600;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-Thin.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-Thin.woff') format('woff');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Lato';
    src: url('/assets/fonts/lato/Lato-ThinItalic.woff2') format('woff2'),
        url('/assets/fonts/lato/Lato-ThinItalic.woff') format('woff');
    font-weight: 100;
    font-style: italic;
    font-display: swap;
}



body {
    margin: 0;
    background-color: #fffdf0;
    color: black;
    font-size: larger;
    /* font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif; */
    font-family: 'Lato', Arial, sans-serif;
}

/* hanging indent */
.hanging {
    padding-left: 30px;
    /* space for the indent */
    text-indent: -30px;
    /* pull the first line back */
}

/* Formular Eingabefelder */
input {
    font-size: larger;
    font-family: 'Lato', Arial, sans-serif;
}

button {
    font-size: large;
    font-family: 'Lato', Arial, sans-serif;
}

select {
    font-size: large;
    font-family: 'Lato', Arial, sans-serif;
}

textarea {
    /* font-size: inherit; */
    font-size: larger;
}

/* Formular Eingabefelder auf Verwaltungsseiten */
input[type="text"] {
    width: 100%;
    padding: 0.3rem;
}

.actions a {
    margin-right: 0.5rem;
}

.asc::after {
    content: " ▲";
}

.desc::after {
    content: " ▼";
}


/* Slide button (checkbox) im Filterformular */
.switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 28px;
}

.switch input {
    opacity: 0;
    /* hide the checkbox */
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: 0.4s;
    border-radius: 28px;
}

.slider:before {
    position: absolute;
    content: "";
    height: 22px;
    width: 22px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    transition: 0.4s;
    border-radius: 50%;
}

/* When checked */
input:checked+.slider {
    background-color: #4CAF50;
}

input:checked+.slider:before {
    transform: translateX(22px);
}


body,
html {
    height: 100%;
}

.content {
    padding-left: 12px;
    padding-right: 12px;
}

.logo img {
    float: right;
    max-width: 120px;
}

.top-banner {
    height: 20%;
    width: auto;
    background-image: url("/assets/images/garten3_2320x400.jpg");
    /* Center and scale the image nicely */
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
}

.bannerlogo {
    /* content: url("/assets/images/Mauli_farbig_glatt_trans.gif"); */
    content: url("/assets/images/Mauli_40_farbig_trans.png");
    position: relative;
    padding: 1%;
    height: 80%;
    width: auto;
    float: right;
    opacity: 0.8;
}

.mediumsize {
    font-size: medium;
}

/* ********************** */
/* Top navigation element */
/* ********************** */

/* Add a grey background color to the top navigation */
.topnav {
    /* overflow: hidden; */
    min-height: 48px;
    position: sticky;
    background-color: #333;
    top: 0;
    width: 100%;
    /* z-index: 1000; */
}

/* Style the links inside the navigation bar */
.topnav a {
    float: left;
    display: block;
    color: white;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
}

/* Change the color of links on hover */
.topnav a:hover {
    background-color: #ddd;
    color: black;
    font-weight: bold;
}

/* Change the color of visited links */
.topnav a:visited {
    color: white;
}

/* Add an active class to highlight the current page */
.topnav a.active {
    background-color: #38761d;
    color: white;
}

/* Hide the link that should open and close the topnav on small screens */
.topnav .icon {
    display: none;
}


/* Dropdown container - needed to position the dropdown content */
.dropdown {
    float: left;
    /* overflow: visible; */
}

/* Style the dropdown button to fit inside the topnav */
.dropdown .dropbtn {
    font-size: 17px;
    border: none;
    outline: none;
    color: white;
    padding: 14px 16px;
    background-color: inherit;
    font-family: inherit;
    margin: 0;
}

/* Style the dropdown content (hidden by default) */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #333;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
}

/* Style the links inside the dropdown */
.dropdown-content a {
    float: none;
    /* color: black; */
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
}


/* Add a dark background on topnav links and the dropdown button on hover */
.topnav a:hover,
.dropdown:hover .dropbtn {
    background-color: #555;
    color: white;
}

/* Add a grey background to dropdown links on hover */
.dropdown-content a:hover {
    background-color: #ddd;
    color: black;
}

/* Show the dropdown menu when the user moves the mouse over the dropdown button */
.dropdown:hover .dropdown-content {
    display: block;
}

/* ******************** */
/* Link styling */
/* ******************** */

/* unvisited link */
a {
    color: green;
    /* font-weight: bold; */
}

/* visited link */
a:visited {
    color: green;
}

/* mouse over link */
a:hover {
    font-weight: bold;
}

/* selected link */
a:active {
    color: olivedrab;
}

.link-with-download-icon {
    background: url('/assets/css/images/download-icon_20x20_green.png') no-repeat center;

    /* allow width/height */
    display: inline-block;
    /* size of your image */
    width: 20px;
    /* background: url('icon.png') no-repeat center; */
    height: 20px;
    /* scale image to fit */
    background-size: contain;
    /* hide the text */
    text-indent: -9999px;
    /* ensure hidden text doesn’t show */
    overflow: hidden;
}

/* **************************************** */
/* Rad-Only input field */
/* **************************************** */

.readonly-field[readonly] {
    background-color: #f0f0f0;
    /* light gray background */
    color: #666;
    /* darker gray text */
    border: 1px solid #ccc;
    /* subtle border */
}

/* **************************************** */
/* Footer */
/* **************************************** */

.footer {
    position: fixed;
    padding-left: 1%;
    left: 0;
    bottom: 0;
    height: auto;
    width: 100%;
    background-color: #38761d;
    color: aquamarine;
    text-align: left;
    font-size: 16px;
    font-family: Arial, Helvetica, sans-serif;
}

/* Links in Footer */

.footer a:link {
    color: lightgreen;
}

/* visited link */
.footer a:visited {
    color: lightgreen;
}

/* mouse over link */
.footer a:hover {
    color: olivedrab;
    font-weight: bold;
}

/* selected link */
.footer a:active {
    color: olivedrab;
}


/* Hamburger menu */

/* Basis Styling */

.hamburger-icon-container {
    color: #333;
    height: 17px;
    width: 17px;
    position: relative;
    cursor: pointer;
    background: currentColor;
    border: 3px solid currentColor;
    border-radius: 3px;
}

/* '*/
.hamburger-icon,
.hamburger-icon:before,
.hamburger-icon:after {
    content: '';
    position: absolute;
    height: 3px;
    width: 1em;
    background: white;
    transition: all .2s ease;
}

.hamburger-icon {
    top: 0.4em;
    left: 0em;
}

.hamburger-icon:before {
    top: -0.4em;
    left: 0px;
}

.hamburger-icon:after {
    top: 0.4em;
    left: 0px;
}


/* Darstellung wenn das Close-Icon angezeigt werden soll */

.hamburger-active .hamburger-icon-container {
    color: green;
}

.hamburger-active .hamburger-icon {
    background: transparent;
    transform: rotate(-135deg)
}

.hamburger-active .hamburger-icon:before,
.hamburger-active .hamburger-icon:after {
    top: 0
}

.hamburger-active .hamburger-icon:before {
    transform: rotate(90deg)
}


/* Style für Tabelle und Buttons */

table.table-simple {
    border: 1px;
    border-color: grey;
    border-collapse: collapse;
}

table.table-simple td {
    padding-left: 8px;
    padding-right: 8px;
    padding-top: 2px;
    padding-bottom: 2px;
    text-align: left;
}

table.table-appointment {
    border-collapse: collapse;
    width: 80%;
    /* font-family: Arial, sans-serif; */
}

table.table-appointment th,
table.table-appointment td {
    border: none;
    /* Keine Gitternetzlinien */
    padding: 8px 12px;
    text-align: left;

    /* space for the indent */
    padding-left: 30px;
    /* pull the first line back */
    text-indent: -38px;
}

table.table-appointment tr.subject td {
    font-weight: bold;
    color: black;
}

table.table-appointment tr.description td {
    text-indent: 0px;
    padding-bottom: 32px;
    font-style: italic;
    color: #555;
}

table.tableAdmin th {
    border: 1px solid #ccc;
    padding: 0.5rem;
    text-align: left;
    vertical-align: top;
    background-color: #38761d;
    color: white;
}

table.tableAdmin td {
    border: none;
    /* Keine Gitternetzlinien */
    padding: 8px 12px;
    text-align: left;
}

table.tableAdmin tr.odd td {
    color: black;
    /* background-color: #CEDFD1; */
    background-color: #DAF2D0;
}

table.tableAdmin tr.even td {
    color: #555;
    background-color: white;
}

.frame-important {
    font-weight: bold;
    border: 1px solid;
    border-style: solid;
    border-collapse: collapse;
    border-width: 3px;
    border-radius: 15px;
    border-color: red;
    background-color: rgb(255, 220, 220);
    padding: 12px;
}

.frame-faded {
    color: #9b9b9b;
}


.unstructured-list {
    list-style-type: none;
}

li {
    margin-bottom: 10px;
}


.CalendarDownloadLink {
    margin-left: 10px;
    font-size: 0.9em;
    text-decoration: none;
    color: #0066cc;
}

.CalendarDownloadLinkAll {
    color: #333;
    margin: 20px auto;
    text-align: center;
    display: inline-block;
    padding: 8px 16px;
    background-color: #f0f0f0;
    border: 1px solid #ccc;
    border-radius: 5px;
    text-decoration: none;
    font-weight: bold;
    margin-top: 15px;
}


/* body styling for auto-detected dark mode */
@media (prefers-color-scheme: dark) {
    body {
        background-color: grey;
        color: white;
    }

    table.table-appointment tr.description td {
        color: white;
    }

    a {
        color: rgb(13 63 13)
            /* font-weight: bold; */
    }

    /* visited link */
    a:visited {
        color: rgb(13 63 13)
    }

    /* mouse over link */
    a:hover {
        font-weight: bold;
    }

    /* selected link */
    a:active {
        color: rgb(13 63 13)
    }


    table.table-simple {
        border-color: rgb(56, 56, 56);
    }


    .frame-important {
        color: black;
    }

    .frame-faded {
        color: #d8d8d8;
    }

}


/* adjust the top navigation depending on the screen size */
/* Hide links in the navigation bar except the first and the hamburger menu icon on smaller screens*/
/* Show all links on bigger screens */
@media screen and (max-width: 600px) {

    .top-banner {
        background-image: url("/assets/images/garten3_696x120.jpg");
    }

    .topnav a:not(:first-child),
    .dropdown .dropbtn {
        display: none;
    }

    .topnav a.icon {
        float: right;
        display: block;
        height: 21px;
    }

    .topnav.responsive {
        position: relative;
    }

    .topnav.responsive .icon {
        position: absolute;
        right: 0;
        top: 0;
    }

    .topnav.responsive a {
        float: none;
        display: block;
        text-align: left;
    }

    .topnav.responsive .dropdown {
        float: none;
    }

    .topnav.responsive .dropdown-content {
        position: relative;
    }

    .topnav.responsive .dropdown .dropbtn {
        display: block;
        width: 100%;
        text-align: left;
    }


}

@media (max-width: 600px) {
    img {
        width: auto;
    }
}